
Redmine - Patch #42562

Fix random test failure in ProjectAdminQueryTest due to missing language setting

2025-04-11 11:32 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.8   

Description

The attached patch fixes the following test failure that occurs randomly.

Failure:

ProjectAdminQueryTest#test_project_statuses_values_should_return_all_statuses [test/unit/project_a

dmin_query_test.rb:99]:

--- expected

+++ actual

@@ -1 +1 @@

-[["active", "1"], ["closed", "5"], ["archived", "9"], ["scheduled for deletion", "10"]]

+[["actif", "1"], ["fermé", "5"], ["archivé", "9"], ["planifié pour suppression", "10"]]

bin/rails test test/unit/project_admin_query_test.rb:97

Related issues:

Has duplicate Redmine - Patch #42570: test_project_statuses_values_should_ret... Closed

Associated revisions

Revision 23631 - 2025-04-11 11:50 - Go MAEDA

Fix random test failure in ProjectAdminQueryTest due to missing language setting (#42562).

Revision 23632 - 2025-04-11 11:53 - Go MAEDA

Merged r23631 from trunk to 6.0-stable (#42562).

Revision 23633 - 2025-04-11 11:54 - Go MAEDA

Merged r23631 from trunk to 5.1-stable (#42562).

History

#1 - 2025-04-11 11:51 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Comimtted the fix in r23631.

#2 - 2025-04-11 11:55 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the stable branches in r23632 and r23633.

#3 - 2025-04-12 03:32 - Go MAEDA

- Has duplicate Patch #42570: test_project_statuses_values_should_return_all_statuses should always run in "en" added
